Summary: A modular mailing list manager.
Name: listar
Version: 0.124a
Release: 2
Copyright: Artistic
Group: Applications/Internet
Source: ftp://ftp.listar.org/pub/listar/%{name}-%{version}.tar.gz
URL: http://www.listar.org/
Prefix: /home/listar
Buildroot: /var/tmp/listar-root

%description
Listar is a modular mailing list manager.  All of Listar's
functionality is provided in individual lpm (Listar Plugin Module)
files.  This modularity allows new commands and functions to be added
on the fly.  Listar has many useful features, including support for
flags set on user accounts (similar to L-soft Listserv) and a very
secure remote administration method using e-mail.

%prep
%setup -q


%build
cd src
cp Makefile.dist Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/listar/{queue,modules,lists,scripts}
install -s listar $RPM_BUILD_ROOT/home/listar
install -s modules/*.lpm $RPM_BUILD_ROOT/home/listar/modules
install scripts/* $RPM_BUILD_ROOT/home/listar/scripts
install listar.cfg.dist $RPM_BUILD_ROOT/home/listar/listar.cfg
install listar.aliases.dist $RPM_BUILD_ROOT/home/listar/listar.aliases
install banned $RPM_BUILD_ROOT/home/listar/banned
install spam-regexp.sample $RPM_BUILD_ROOT/home/listar/spam-regexp.sample
install listar.hlp $RPM_BUILD_ROOT/home/listar/listar.hlp

%pre
cut -d: -f1 /etc/passwd | grep listar
if [ $? -ne 0 ]; then
        /usr/sbin/useradd -d /home/listar -s /bin/false -c "list manager" \
	listar 2> /dev/null || :
	exit 0
fi

%postun
if [ $1 = 0 ]; then 
	/usr/sbin/userdel -r listar 2>/dev/null || :
	/usr/sbin/groupdel listar 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,listar,listar)
%doc README README.* NOTE LICENSE PLATFORMS src/CHANGELOG
%attr(4755,listar,listar) %{prefix}/listar
%attr(751,listar,listar)  %dir %{prefix}/lists
%attr(750,listar,listar)  %dir %{prefix}/queue
%attr(750,listar,listar)  %{prefix}/modules/*
%{prefix}/scripts/*
%config %{prefix}/listar.cfg
%config %{prefix}/listar.aliases
%config %{prefix}/banned
%{prefix}/spam-regexp.sample
%{prefix}/listar.hlp

%changelog
* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale /home/listar remaining after uninstall

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- what he said.

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- fix broken pre script

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for powertools.
- added post and pre scripts.
 
* Mon Mar 8 1999 JT Traub <jtraub@dragoncat.net>
- Added the changelog section to the SPEC file.

